Flash para Iceweasel 64 bits

Filed under Debian 5.0 Lenny AMD64 - KDE, Internet

El plugin de Flash fue lo que me hizo instalar Swiftfox. Y me quiero liberar de Swiftfox.

La versión libre de Flash, Gnash, aún no sirve para reproducir los vídeos de YouTube. Por desgracia sigue estando verde. Y los de Adobe siguen sin sacar una versión para 64 bits, los muy… Gracias a este post de Lo hice y lo entendí descubro nspluginwrapper, un plugin que proporciona compatibilidad entre el navegador y los plugins de arquitectura de 32 bits, como el Flash de Adobe. Es más, desde la página de información de plugins de Mozilla se recomienda usarlo.

Instalación de nspluginwrapper

Instalo nspluginwrapper desde Aptitude.

Instalación de Flash mediante nspluginwrapper

Según la documentación oficial, los plugins de 32 bits que estén en /usr/lib/mozilla/plugins/ se reconocerán automáticamente. En mi caso, instalaré Flash manualmente:

  • Descargo la última versión de Flash desde la web de Adobe (Adobe Flash Player 9.0.124.0 en .tar.gz para Linux (x86)) y extraigo libflashplayer.so en el escritorio.
  • Desde la terminal escribo nspluginwrapper -i ~/Desktop/libflashplayer.so.

Ahora, si escribo about:plugins en Firefox/Iceweasel, debería aparecer el plugin de Flash.

Instalación de la última versión de nspluginwrapper

Después de un rato usando el navegador noto que se congela durante unos segundos al cargar una página con flash y los vídeos de YouTube no se cargan. Por eso voy a probar a instalar la última versión de nspluginwrapper (1.0.0 en lugar de 0.9.91.5-2):

  • Descargo de la web oficial el plugin (nspluginwrapper-1.0.0-1.x86_64.rpm) y el visor (nspluginwrapper-i386-1.0.0-1.x86_64.rpm).
  • Como son paquetes .rpm, hay que transformarlos en .deb mediante Alien. Instalo el paquete alien desde Aptitude.
  • Desde la terminal me voy a la carpeta en la que están los paquetes .rpm (en mi caso ~/Desktop/) y, como superusuario, ejecuto
    alien -c nspluginwrapper-1.0.0-1.x86_64.rpm
    alien -c nspluginwrapper-i386-1.0.0-1.x86_64.rpm

    (el argumento -c indica que se incluyan también los scripts del .rpg en el paquete .deb)

  • Instalo los paquetes .deb con dpkg:
    dpkg -i nspluginwrapper_1.0.0-2_amd64.deb
    dpkg -i nspluginwrapper-i386_1.0.0-2_amd64.deb
  • Finalmente desinstalo el plugin de flash anterior
    nspluginwrapper -r ~/.mozilla/plugins/npwrapper.libflashplayer.so

    y reinstalo con la última versión de nspluginwrapper:

    nspluginwrapper -i ~/Desktop/libflashplayer.so

Post a Comment

Your email is never published nor shared. Required fields are marked *

*
*